import { Profile } from '@app/domain/profiles/profile.model';
import { Observable } from 'rxjs';

export interface ProfileRepository {
  list(params?: { search?: string; page?: number; pageSize?: number }): Observable<Profile[]>;
  getByUserId(userId: string): Observable<Profile>;
  create(profile: Profile): Observable<Profile>;
  update(profileId: string, profile: Partial<Profile>): Observable<Profile>;
}
